summaryrefslogtreecommitdiffstats
path: root/audio
diff options
context:
space:
mode:
Diffstat (limited to 'audio')
-rw-r--r--audio/mp4tools/README20
-rw-r--r--audio/mp4tools/mp4joiner.desktop16
-rw-r--r--audio/mp4tools/mp4splitter.desktop16
-rw-r--r--audio/mp4tools/mp4tools-wx-config.patch27
-rw-r--r--audio/mp4tools/mp4tools.SlackBuild34
-rw-r--r--audio/mp4tools/mp4tools.info10
-rw-r--r--audio/mp4tools/slack-desc14
7 files changed, 106 insertions, 31 deletions
diff --git a/audio/mp4tools/README b/audio/mp4tools/README
index 143febc8be..abf3a2fa49 100644
--- a/audio/mp4tools/README
+++ b/audio/mp4tools/README
@@ -1,14 +1,12 @@
-mp4tools (Suite of scripts to encode Audio and Video in many formats)
+mp4tools (A free cross-platform tool to manipulate MP4 files)
-mp4tools are a set of scripts to encode audio and video in many
-formats. It has presets for most common embedded devices like
-Sony PSP, Apple iPod, Nokia Phones, so you haven't to go in the
-jungle of encoding options, firmware bugs or unsupported
-configurations.
+MP4Tools is a collection of cross-platform free tools to manipulate
+MP4 files.
-Hot functions are:
+It contains following applications:
- * support for embedded devices;
- * direct rip from DVD;
- * autocrop of black borders to have a bigger visual;
- * audio peak normalization to make audio sound louder.
+ * MP4Joiner is a free application that allows join multiple MP4
+files into one.
+
+* MP4Splitter is a free application that allows split a MP4 file in
+multiple files.
diff --git a/audio/mp4tools/mp4joiner.desktop b/audio/mp4tools/mp4joiner.desktop
new file mode 100644
index 0000000000..17a22b095c
--- /dev/null
+++ b/audio/mp4tools/mp4joiner.desktop
@@ -0,0 +1,16 @@
+[Desktop Entry]
+Name=MP4Joiner
+Comment=Join multiple MP4 files.
+Exec=mp4joiner
+Icon=mp4joiner
+MimeType=
+Path=
+StartupNotify=true
+Terminal=false
+TerminalOptions=
+Type=Application
+X-DBUS-ServiceName=
+X-DBUS-StartupType=
+X-KDE-SubstituteUID=false
+X-KDE-Username=
+Categories=Audio;AudioVideoEditing;AudioVideo;Video;
diff --git a/audio/mp4tools/mp4splitter.desktop b/audio/mp4tools/mp4splitter.desktop
new file mode 100644
index 0000000000..d511123e4b
--- /dev/null
+++ b/audio/mp4tools/mp4splitter.desktop
@@ -0,0 +1,16 @@
+[Desktop Entry]
+Name=MP4Splitter
+Comment=Split MP4 files.
+Exec=mp4splitter
+Icon=mp4splitter
+MimeType=
+Path=
+StartupNotify=true
+Terminal=false
+TerminalOptions=
+Type=Application
+X-DBUS-ServiceName=
+X-DBUS-StartupType=
+X-KDE-SubstituteUID=false
+X-KDE-Username=
+Categories=Audio;AudioVideoEditing;AudioVideo;Video;
diff --git a/audio/mp4tools/mp4tools-wx-config.patch b/audio/mp4tools/mp4tools-wx-config.patch
new file mode 100644
index 0000000000..7b73e52ab2
--- /dev/null
+++ b/audio/mp4tools/mp4tools-wx-config.patch
@@ -0,0 +1,27 @@
+--- configure.orig 2017-03-20 21:25:19.000000000 +0100
++++ configure 2017-09-01 12:40:14.860865091 +0200
+@@ -4601,18 +4601,18 @@
+
+ WX_VERSION=`$WX_CONFIG_WITH_ARGS --version 2>/dev/null`
+ wx_config_major_version=`echo $WX_VERSION | \
+- sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
++ sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\).*/\1/'`
+ wx_config_minor_version=`echo $WX_VERSION | \
+- sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
++ sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\).*/\2/'`
+ wx_config_micro_version=`echo $WX_VERSION | \
+- sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
++ sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\).*/\3/'`
+
+ wx_requested_major_version=`echo $min_wx_version | \
+- sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\1/'`
++ sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\).*/\1/'`
+ wx_requested_minor_version=`echo $min_wx_version | \
+- sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\2/'`
++ sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\).*/\2/'`
+ wx_requested_micro_version=`echo $min_wx_version | \
+- sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\)/\3/'`
++ sed 's/\([0-9]*\).\([0-9]*\).\([0-9]*\).*/\3/'`
+
+
+ wx_ver_ok=""
diff --git a/audio/mp4tools/mp4tools.SlackBuild b/audio/mp4tools/mp4tools.SlackBuild
index 278c567c57..374448a8a4 100644
--- a/audio/mp4tools/mp4tools.SlackBuild
+++ b/audio/mp4tools/mp4tools.SlackBuild
@@ -23,8 +23,8 @@
# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
PRGNAM=mp4tools
-VERSION=${VERSION:-0.6.8}
-BUILD=${BUILD:-2}
+VERSION=${VERSION:-3.5}
+BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
if [ -z "$ARCH" ]; then
@@ -54,14 +54,16 @@ else
LIBDIRSUFFIX=""
fi
+SRCNAM=${SRCNAM:-MP4Tools}
+
set -e
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
rm -rf $TMP/$PRGNAM-$VERSION
cd $TMP
-tar xvf $CWD/${PRGNAM}_${VERSION}.tar.gz
-mv $PRGNAM $PRGNAM-$VERSION
+tar xvf $CWD/${SRCNAM}-${VERSION}.tar.bz2
+mv $SRCNAM-$VERSION $PRGNAM-$VERSION
cd $PRGNAM-$VERSION
chown -R root:root .
find -L . \
@@ -70,16 +72,32 @@ find -L . \
\( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
-patch -Np0 < $CWD/audiorip_fix_mplayer.diff || true
+patch -Np0 < $CWD/mp4tools-wx-config.patch || true
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
-mkdir -p $PKG/usr/bin
-make INSTDIR=$PKG/usr
+make
+make install DESTDIR=$PKG
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+install -Dm644 $CWD/mp4joiner.desktop $PKG/usr/share/applications/mp4joiner.desktop
+install -Dm644 $CWD/mp4splitter.desktop $PKG/usr/share/applications/mp4splitter.desktop
+install -Dm644 resources/mp4joiner.png $PKG/usr/share/pixmaps/mp4joiner.png
+install -Dm644 resources/mp4splitter.png $PKG/usr/share/pixmaps/mp4splitter.png
+
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a COPYRIGHT README $PKG/usr/doc/$PRGNAM-$VERSION
+cp AUTHORS ChangeLog COPYING INSTALL README $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM-SlackBuild
mkdir -p $PKG/install
diff --git a/audio/mp4tools/mp4tools.info b/audio/mp4tools/mp4tools.info
index b60ca16025..7804faea90 100644
--- a/audio/mp4tools/mp4tools.info
+++ b/audio/mp4tools/mp4tools.info
@@ -1,10 +1,10 @@
PRGNAM="mp4tools"
-VERSION="0.6.8"
-HOMEPAGE="http://teknoraver.net/software/mp4tools/"
-DOWNLOAD="http://ppa.launchpad.net/teknoraver/ppa/ubuntu/pool/main/m/mp4tools/mp4tools_0.6.8.tar.gz"
-MD5SUM="21ecc4d840b4f611d41126d84505645a"
+VERSION="3.5"
+HOMEPAGE="http://www.mp4joiner.org"
+DOWNLOAD="http://app.oldfoss.com:81/download/MP4Joiner/MP4Tools-3.5.tar.bz2"
+MD5SUM="3669260ed488b56254df2dd1bc602bbe"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
-REQUIRES="opencore-amr gpac faac aacplusenc nero-aac"
+REQUIRES="opencore-amr gpac faac aacplusenc nero-aac wxGTK wxsvg"
MAINTAINER="Edinaldo P. Silva"
EMAIL="edps.mundognu@gmail.com"
diff --git a/audio/mp4tools/slack-desc b/audio/mp4tools/slack-desc
index f9ed122299..c7803947b0 100644
--- a/audio/mp4tools/slack-desc
+++ b/audio/mp4tools/slack-desc
@@ -6,14 +6,14 @@
# customary to leave one space after the ':' except on otherwise blank lines.
|-----handy-ruler------------------------------------------------------|
-mp4tools: mp4tools (Suite of scripts to encode Audio and Video in many formats)
+mp4tools: mp4tools (A free cross-platform tool to manipulate MP4 files)
+mp4tools:
+mp4tools: MP4Tools is a collection of cross-platform free tools to manipulate
+mp4tools: MP4 files.
+mp4tools:
+mp4tools: Home Page: http://www.mp4joiner.org
+mp4tools:
mp4tools:
-mp4tools: mp4tools are a set of scripts to encode audio and video in many
-mp4tools: formats. It has presets for most common embedded devices like
-mp4tools: Sony PSP, Apple iPod, Nokia Phones, so you haven't to go in the
-mp4tools: jungle of encoding options, firmware bugs or unsupported
-mp4tools: configurations.
mp4tools:
-mp4tools: Home Page: http://teknoraver.net/software/mp4tools/
mp4tools:
mp4tools: